<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */


?>

<div class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('Añadir/Editar Nuevo Perfil', 'entusiastics-quiz-game')?>
	</h1>

	<ul>

		<li class="all">

			<a href="admin.php?page=entusiastics-quiz-game-profiles">
				<?php _e('Volver a los perfiles', 'entusiastics-quiz-game') ?>
			</a>

		</li>

	</ul>

	<hr class="wp-header-end">

	<div class="postbox-container">

		<form id="entusiastics-profile-form" method="post" onsubmit="return validateEntusiasticsQuizGameProfile(this);">

			<table class="form-table fixed">

				<tbody>
					<tr>
						<th>
							<label for="name">
								<?php _e('Nombre del Perfil', 'entusiastics-quiz-game')?>

							</label>
						</th>

						<td>
							<input id="name" name="name" type="text" value="<?php echo stripslashes(@$profile->name)?>" class="regular-text">
							<p class="description"><?php _e('El nombre es cómo aparecerá en tu sitio.', 'entusiastics-quiz-game')?></p>
						</td>

					</tr>

					<tr>
						<th scope="row">
							<label for="profile_description">
								<?php _e('Breve descripción', 'entusiastics-quiz-game')?>
							</label>
						</th>
						<td>
							<textarea name="profile_description" id="profile_description"><?php echo stripslashes(@$profile->profile_description) ?></textarea>

							<p class="description"><?php _e('Breve descripción del perfil.', 'entusiastics-quiz-game')?></p>
						</td>
					</tr>

					<tr>
						<th scope="row">
							<label for="connotation">
								<?php _e('Connotación', 'entusiastics-quiz-game')?>
							</label>
						</th>

						<td>
							<select name="connotation" id="connotation">
								<option value="3">Seleccione una connotacion</option>
								<option value="0" <?php echo @$profile->connotation == '0' ? 'selected' : ''; ?>><?php _e('Indicadores Baja Calidad', 'entusiastics-quiz-game') ?></option>
								<option value="1" <?php echo @$profile->connotation == '1' ? 'selected' : ''; ?>><?php _e('Indicadores Alta Calidad','entusiastics-quiz-game') ?></option>
							</select>
						</td>
					</tr>

					<tr>
						<th scope="row">
							<label>
								<?php _e('Imagen destacda del perfil', 'entusiastics-quiz-game')?>
							</label>
						</th>

						<td>

							<div id="entusiastics-image-uploader">
								<input id="media_title_text" type="hidden" value="<?php _e('Seleccione o suba la imagen de su elección', 'entusiastics-quiz-game') ?>">
								<input id="media_text_button" type="hidden" value="<?php _e('Usar esta imagen', 'entusiastics-quiz-game') ?>">

								<?php if( $image = wp_get_attachment_image_src( @$profile->image_id ) ) { ?>

									<a href="#" class="upload-custom-img hidden button-primary">
										<?php echo _e('Subir imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<a href="#" class="delete-custom-img button-primary">
										<?php echo _e('Eliminar imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<input id="image_url" type="hidden" name="image_url" value="<?php echo @$profile->image_url; ?>">
									<input id="image_id" type="hidden" name="image_id" value="<?php echo @$profile->image_id; ?>">

								<?php } else { ?>

									<a href="#" class="upload-custom-img button-primary">
										<?php echo _e('Subir imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<a href="#" class="delete-custom-img hidden button-primary">
										<?php echo _e('Eliminar imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<input id="image_url" type="hidden" name="image_url" value="">
									<input id="image_id" type="hidden" name="image_id" value="">

								<?php } ?>
							</td>
						</tr>

						<tr>
							<th scope="row">
							</th>

							<td id="entusiastics-image-uploader-preview">

								<?php if($image = wp_get_attachment_image_src(@$profile->image_id)) { ?>

									<a href="#" class="upload-custom-img">

										<div id='image-preview' class='entusiastics-image-preview-wrapper'>

											<div class="badge">
												<a class="badge-link delete-custom-badge" href="#;">X</a>
											</div>

											<img src='<?php echo $image[0] ?>' />

										</div>

									</a>

								<?php } else { ?>

									<div id='image-preview' class='entusiastics-image-preview-wrapper hidden'>
										<div class="badge">
											<a class="badge-link" href="#;" class="delete-custom-badge">X</a>
										</div>
									</div>

									<div id='image-preview-no-image' class='entusiastics-image-preview-wrapper no-image'>
										<span class="preview-text">
											<?php _e('Sin imagen', 'entusiastics-quiz-game') ?>
										</span>
									</div>

								<?php } ?>

								<p class="description">
									<?php _e('Imagen destacada del perfil.', 'entusiastics-quiz-game') ?>
								</p>
							</td>
						</tr>

						<tr>
							<th scope="row">
								<input type="hidden" name="ok" value="1" />
								<input type="submit" name="save" value="<?php _e('Guardar', 'entusiastics-quiz-game')?>" class="button-primary"/>
							</th>
						</tr>

					</tbody>

				</table>

			</form>

			<?php wp_nonce_field('entusiastics_quiz_game_profile');?>

		</div>

		<div id="name_notice" class="notice notice-error" style="display: none">
			<p><?php _e('Debes indicar un nombre para el perfil', 'entusiastics-quiz-game')?></p>
		</div>

		<div id="connotation_notice" class="notice notice-error" style="display: none">
			<p><?php _e('Debes indicar una connotación para el perfil', 'entusiastics-quiz-game')?></p>
		</div>

	</div>

	<script type="text/javascript" >

		function validateEntusiasticsQuizGameProfile(frm) {

			if(frm.name.value == '') {
				$('#name_notice').css('display', 'block')
				frm.name.focus();
				return false;
			}

			if(frm.connotation.value == '-1') {
				$('#connotation_notice').css('display', 'block')
				frm.connotation.focus();
				return false;
			}

			return true;
		}

	</script>